var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
import { Column, Entity, PrimaryColumn, PrimaryGeneratedColumn } from 'typeorm';
let PlatformModel = class PlatformModel {
    iss;
    client_id;
    authentication_request_url;
    access_token_url;
    jwks_url;
};
__decorate([
    PrimaryColumn(),
    __metadata("design:type", String)
], PlatformModel.prototype, "iss", void 0);
__decorate([
    PrimaryColumn(),
    __metadata("design:type", String)
], PlatformModel.prototype, "client_id", void 0);
__decorate([
    Column(),
    __metadata("design:type", String)
], PlatformModel.prototype, "authentication_request_url", void 0);
__decorate([
    Column(),
    __metadata("design:type", String)
], PlatformModel.prototype, "access_token_url", void 0);
__decorate([
    Column(),
    __metadata("design:type", String)
], PlatformModel.prototype, "jwks_url", void 0);
PlatformModel = __decorate([
    Entity()
], PlatformModel);
export { PlatformModel };
let PlatformProvisionModel = class PlatformProvisionModel {
    id;
    iss;
    client_id;
    authentication_request_url;
    access_token_url;
    jwks_url;
};
__decorate([
    PrimaryGeneratedColumn(),
    __metadata("design:type", Number)
], PlatformProvisionModel.prototype, "id", void 0);
__decorate([
    Column({ nullable: true }),
    __metadata("design:type", String)
], PlatformProvisionModel.prototype, "iss", void 0);
__decorate([
    Column({ nullable: true }),
    __metadata("design:type", String)
], PlatformProvisionModel.prototype, "client_id", void 0);
__decorate([
    Column({ nullable: true }),
    __metadata("design:type", String)
], PlatformProvisionModel.prototype, "authentication_request_url", void 0);
__decorate([
    Column({ nullable: true }),
    __metadata("design:type", String)
], PlatformProvisionModel.prototype, "access_token_url", void 0);
__decorate([
    Column({ nullable: true }),
    __metadata("design:type", String)
], PlatformProvisionModel.prototype, "jwks_url", void 0);
PlatformProvisionModel = __decorate([
    Entity()
], PlatformProvisionModel);
export { PlatformProvisionModel };
export const Entities = [PlatformModel, PlatformProvisionModel];
//# sourceMappingURL=model.js.map